<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>

</head>
<body>
    <div id="root">
        
        <p>số con cừu: {{count}}</p>
        <button v-on:click="count += 1"> add </button>

        <!-- Phương thức sử lý sự kiện -->
        <button @click="greet">Click Hello</button>

        <!-- gọi phương thức inline -->
        <button @click="say('Việt Nam')">Hãy nói Hello Việt Nam</button>
        <button @click="say('Vuejs')">Hãy nói Hello Vuejs</button>
        <!-- event modified -->
        <form @submit.prevent method="" action=""> <!-- sử dụng .prevent để submit không load lại trang  -->
            <a href="#" @click.once="say('japanese')" >japanese</a> <!-- sự kiện sẽ chỉ được kích hoạt 1 lần -->
            <button  type="submit" @click="greet">submit</button>
        </form>
        <!-- key modified .enter và ngoài ra còn 1 vài key modified khác như .tab, .delete, .esc, .space,...-->
        <button @click.enter="greet()">nhấn Enter</button>
    </div>
    <script>
    new Vue({
        el:'#root',
        data:{
            count:0,
            name:'Vuejs',
        },
        methods: {
            greet: function(event){
                alert("xin chào"+ this.name)
                if(event){
                    alert(event.target.tagName)
                }
            },
            say: function(value){
                alert(value)
            }
        },
    })
    // greet();
    </script>
</body>
</html>